/***************************************************************************************************
# DATATYPE SYNONIMS DEFINITION (FOR IMPORT THROUGH “SQLAUX.cmd”):
# --------------------------------------------------------------------------------------------------
# SQLAUX scripting library | Author: Sergei Y.Kitáev
# -- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*/

/*==================================================================================================
# DEFINITION OF UNIVERSAL DATA TYPES:
----------------------------------------------------------------------------------------------------
# ___ ABBREVIATIONS: ___
# “HPDecimal” — high precision decimal
# “MPDecimal” — middle precision decimal
----------------------------------------------------------------------------------------------------
*/
$(dt_String_AUX)                 = nvarchar(max)
$(dt_AnsiString_AUX)             = varchar(max)
$(dt_HPDecimal_AUX)              = decimal(38,16)  -- decimal  ( $(num_MaxDecimalPrecision_AUX),
                                                   --            $(num_HPDecimalScale_AUX) )
$(dt_MPDecimal_AUX)              = decimal(28,10)  -- decimal  ( $(num_MPDecimalPrecision_AUX),
                                                   --            $(num_MPDecimalScale_AUX) )
$(dt_DecMoney_AUX)               = decimal(19,4)   -- decimal  ( $(num_DecMoneyPrecision_AUX),
                                                   --            $(num_DecMoneyScale_AUX) )
$(dt_DecMoney_2_AUX)             = decimal(17,2)   -- decimal  ( $(num_DecMoneyPrecision_2_AUX),
                                                   --            $(num_DecMoneyScale_2_AUX) )
$(dt_DecMoneyIntegerPart_AUX)    = decimal(15)     -- decimal  ( $(num_DecMoneyIntPartPrecision_AUX) )
$(dt_DecMoneyIntegerPart_2_AUX)  = decimal(13)     -- decimal  ( $(num_DecMoneyIntPartPrecision_2_AUX) )
$(dt_GuidStr_AUX)                = char    (36)    -- char     ( $(num_GuidStrLength_AUX) )
$(dt_GuidWithBracketsStr_AUX)    = char    (38)    -- char     ( $(num_GuidWithBracketsStrLength_AUX) )
$(dt_SID_AUX)                    = varbinary(86)   -- varbinary( $(num_SIDMaxLength_AUX) )
$(dt_NormalDateStr_AUX)          = char    (10)    -- char     ( $(num_NormalDateStrLength_AUX) )
$(dt_NormalTimeStr_AUX)          = char    (8)     -- char     ( $(num_NormalTimeStr_AUX) )
$(dt_WideDateStr_AUX)            = nvarchar(50)    -- navarchar( $(num_WideDateStrCapacity_AUX) )
$(dt_IntStr_AUX)                 = varchar (11)    -- varchar  ( $(num_IntStrMaxLength_AUX) )
$(dt_BigIntStr_AUX)              = varchar (20)    -- varchar  ( $(num_BigIntStrMaxLength_AUX) )
$(dt_DecimalStr_AUX)             = varchar (40)    -- varchar  ( $(num_DecimalStrMaxLength_AUX) )
$(dt_MPDecimalStr_AUX)           = varchar (30)    -- varchar  ( $(num_MPDecimalStrMaxLength_AUX) )
$(dt_MoneyStr_AUX)               = varchar (21)    -- varchar  ( $(num_MoneyStrMaxLength_AUX) )
$(dt_DecMoneyStr_2_AUX)          = varchar (17)    -- varchar  ( $(num_DecMoneyStrMaxLength_2_AUX) )
$(dt_Name_AUX)                   = nvarchar(100)   -- nvarchar ( $(num_NameCapacity_AUX) )
$(dt_ShortName_AUX)              = nvarchar(50)    -- nvarchar ( $(num_ShortNameCapacity_AUX) )
$(dt_Keyword_AUX)                = nvarchar(20)    -- nvarchar ( $(num_KeywordCapacity_AUX) )
$(dt_MonthName_AUX)              = nvarchar(15)    -- nvarchar ( $(num_MonthNameCapacity_AUX) )
$(dt_MonthNameWithYear_AUX)      = nvarchar(25)    -- nvarchar ( $(num_MonthNameWithYearCapacity_AUX) )
$(dt_WeekDayName_AUX)            = nvarchar(15)    -- nvarchar ( $(num_WeekDayNameCapacity_AUX) )
$(dt_RomanNumber_AUX)            = varchar (8)     -- varchar  ( $(num_RomanNumberDisplayCapacity_AUX) )
$(dt_Message_AUX)                = nvarchar(max)   -- $(dt_String_AUX)

/*================================================================================================*/
